Subject: Re: [bitcoin-dev] Transaction Merging (bip125 relaxation)

From: Gregory Maxwell <[email-masked]>
Date: Tue, 23 Jan 2018 22:49:34 +0000

On Tue, Jan 23, 2018 at 10:19 PM, Rhavar via bitcoin-dev
<[email-masked]> wrote:
> Interesting. I didn't think about this before, but it seems like bip125 is
> rather incentive incompatible right now? If we're assuming a competitive
> mempool, it really doesn't seem generally rational to accept a replacement
> transaction of a lower fee rate.

BIP125 replacement requires that the fee rate increases.  The text of
the BIP document is written in a confusing way that doesn't make this
clear.